<?php
require_once ('jpgraph/src/jpgraph.php');
require_once ('jpgraph/src/jpgraph_bar.php');
require_once ("config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
require_once ("config/conexion.php");//Contiene funcion que conecta a la base de datos

$sql=mysqli_query($con,"select * from products order by existencia DESC");
while($dato=mysqli_fetch_array($sql)){
$nom[]=$dato['nombre_producto'];
$can[]=$dato['existencia'];
}
// Setup the graph
$graph = new Graph(900,350,'auto');
$graph->SetScale("textlin");
$graph->title->Set('Estadisticas de Productos en Inventario');
$graph->xaxis->title->Set("productos");
$graph->xaxis->SetTickLabels($nom);
$graph->yaxis->title->Set("existencia");
// Create the first line
$p1 = new BarPlot($can);
$graph->Add($p1);
$p1->SetFillGradient("#CC0000","#000000",GRAD_HOR);
$p1->SetWidth(30);
$p1->value->Show(); 
$p1->value->SetFont(FF_FONT1,FS_BOLD);
$p1->value->SetColor("black");
// Output line
$graph->Stroke();
?>